# EasingDirection

## Overview

EasingDirection is an Enum that specifies the direction of easing calculations.

Easing determines the rate of change used to create smooth transitions in animations or calculated values. This is used in the EasingDirection property of TweenInfo.

## Items

| Name  | Value | Description                                                                                                                     |
| ----- | ----- | ------------------------------------------------------------------------------------------------------------------------------- |
| In    | 0     | Applies the easing effect forward, starting slowly and accelerating over time.                                                  |
| Out   | 1     | Applies the easing effect backward, starting fast and slowing down over time.                                                   |
| InOut | 2     | Applies the easing effect forward in the first half and backward in the second half to create a smooth, symmetrical transition. |

## See also

{% content-ref url="/pages/4EVzARW6qPxVEJ7Wk2UN" %}
[TweenInfo](/development/api-reference/datatype/tweeninfo.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/easingdirection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
